Show / Hide Table of Contents

# Class OpenIddictQuartzJob

Represents a Quartz.NET job performing scheduled tasks for OpenIddict.

##### Inheritance

System.Object
OpenIddictQuartzJob

###### Namespace: OpenIddict.Quartz

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictQuartzJob : IJob

### Constructors

#### OpenIddictQuartzJob()

Creates a new instance of the OpenIddictQuartzJob class.

##### Declaration

    public OpenIddictQuartzJob()

#### OpenIddictQuartzJob(IOptionsMonitor<OpenIddictQuartzOptions>, IServiceProvider)

Creates a new instance of the OpenIddictQuartzJob class.

##### Declaration

    public OpenIddictQuartzJob(IOptionsMonitor<OpenIddictQuartzOptions> options, IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
IOptionsMonitor<OpenIddictQuartzOptions> | options | The OpenIddict Quartz.NET options.
System.IServiceProvider | provider | The service provider.

### Properties

#### Identity

Gets the default identity assigned to this job.

##### Declaration

    public static JobKey Identity { get; }

##### Property Value

Type | Description
--- | ---
JobKey |

### Methods

#### Execute(IJobExecutionContext)

##### Declaration

    public Task Execute(IJobExecutionContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
IJobExecutionContext | context |

##### Returns

Type | Description
--- | ---
Task |